%global pypi_name django-openid-auth

Name:           python-%{pypi_name}
Version:        0.4
Release:        1%{?dist}
Summary:        OpenID integration for django.contrib.auth

License:        BSD
URL:            http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}_%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel

%if 0%{?fedora} >= 18
Requires: python-django
%else
Requires:       Django
%endif
Requires: python-openid

%description
A library that can be used to add OpenID support to Django applications.
The library integrates with Django's built in authentication system, so
most applications require minimal changes to support OpenID login.

%prep
%setup -c -q -n %{pypi_name}_%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE.txt README.txt
%{python_sitelib}/django_openid_auth
%{python_sitelib}/django_openid_auth-%{version}-py?.?.egg-info

%changelog
* Thu Oct 25 2012 Richard Marko <rmarko@redhat.com> - 0.4-1
- Initial package.
